API referenceMasterAgreementAssetConnection
POST /api/MasterAgreementAssetConnection/UpdateCustomFieldValue
Updates a specific custom field value for the provided Master Agreement Asset Connection IDs.
POST
/api/MasterAgreementAssetConnection/UpdateCustomFieldValuecurl -X POST "/api/MasterAgreementAssetConnection/UpdateCustomFieldValue" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": {
"ids": [
0
],
"customField": {
"customFieldId": 0,
"customFieldName": "string",
"customFieldType": 1
}
}
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataEtrmApiGateway.DTOs.BackOffice.EntityCustomFieldMassUpdateDto
Response
application/json
Updated Master Agreement Asset Connections with new custom field values.
successbooleanrecordCountinteger<int32>dataEtrmApiGateway.DTOs.BackOffice.MasterAgreementAssetConnectionDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"masterAgreementId": 0,
"assetId": 0,
"validFrom": "2026-01-15T09:30:00Z",
"validTo": "2026-01-15T09:30:00Z",
"customFieldValues": [
{
"customFieldId": 0,
"customFieldName": "string",
"customFieldType": 1,
"validFrom": "2026-01-15T09:30:00Z",
"value": "string"
}
]
}
]
}